{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Blog</title>
    <link href="{% static 'blog.css' %}" rel="stylesheet">
</head>
<body>
    <div class="article">
        <h1>My blog!</h1>
        {% if article_list %}
        {% for post in article_list %}
        <div class="post">
            <p><b>{{ post.ar_title }}</b></p>
            <p><img src="http://127.0.0.1:8000/media/{{ post.ar_img }}" width="200px"></p>
            <p><b>Description:</b> {{ post.ar_short_description }}</p>
            <p><b>Data:</b> {{ post.ar_dt }}</p>
            <a class="button-blog" href="http://127.0.0.1:8000/article/?id={{ post.id }}"><button>Read more...</button></a>
        </div>
        {% endfor %}
        {% else %}
            <h1>Not found....</h1>
        {% endif %}
    </div>
    <div class="pagination">
        <span class="step-links">
            {% if article_list.has_previous %}
                <a href="?page=1">&laquo; first</a>
                <a href="?page={{ article_list.previous_page_number }}">previous</a>
            {% endif %}

            <span class="current">
                Page {{ article_list.number }} of {{ article_list.paginator.num_pages }}.
            </span>

            {% if article_list.has_next %}
                <a href="?page={{ article_list.next_page_number }}">next</a>
                <a href="?page={{ article_list.paginator.num_pages }}">last &raquo;</a>
            {% endif %}
        </span>
    </div>
</body>
</html>